package com.tencent.tws.api.healthkit;

import com.tencent.tws.api.healthkit.RequestHealthResult;

interface IHealthKitService
{
	////////////////////记步
	
	// 请求方主动请求
	// 	days参数为天数，如果days = 2。则返回前天0点开始到现在的数据。
	// 	返回结果：发广播通知请求方，结果数据为按天单位的数据
	RequestHealthResult getPedometerPeriod(in String packageName, in int days);
	
	// 请求方主动请求
	// 	start，end为请求数据时间段的两个毫秒数。
	// 	返回结果：发广播通知请求方，结果数据为按分钟单位的数据
	RequestHealthResult getPedometerHistory(in String packageName, in long start, in long end);
	
	
	// 说明：注册与取消注册。
	// 		请求方注册后，开始发送广播，请求方可以接收广播。取消注册则不发送广播。
	// 			（注册有引用计数，在取消注册时引用计数为0则彻底不发送广播）
	// 			广播内容的数据为：今天0点开始到现在的记步总数。
	// 		发送广播时机：计步传感器有数据变化的时候。
	// 			（因为是一有数据就广播给请求方，所以不区分跑步还是走路状态也不会区分提供数据的频率）
	RequestHealthResult registerBroadcast();
	RequestHealthResult unregisterBroadcast();
	
	
	////////////////////心率
	// 开始检测心率，持续一分钟。检测结束后关闭心率传感器
	RequestHealthResult startHeartRateBPM(in String packageName);
	
	RequestHealthResult stopHeartRateBPM(in String packageName);
	
	// 获取心率历史
	//RequestHealthResult getHeartRateHistory(int counts);
	
	////////////////////其他
	// 同步type类型数据	
	// RequestHealthResult asyncHealthDataByType(int type);
	
	// 同步健康数据
	// RequestHealthResult asyncHealthData();
	
	//设置计步倍数
	void setPedometerMultiple(int multiple);
	//返回计步倍数
	
}